query comments
curl --request GET \
--url https://apix.us.amity.co/api/v3/comments \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--header 'X-API-Key: <api-key>'import requests
url = "https://apix.us.amity.co/api/v3/comments"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>",
"X-API-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<authorization>',
'Content-Type': '<content-type>',
'X-API-Key': '<api-key>'
}
};
fetch('https://apix.us.amity.co/api/v3/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"comments": [
{
"commentId": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"parentId": "<string>",
"rootId": "<string>",
"referenceId": "<string>",
"dataType": "<string>",
"dataTypes": [],
"data": {},
"metadata": {},
"childrenNumber": 123,
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"isDeleted": false,
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"children": [
"<string>"
],
"segmentNumber": 1,
"mentionees": [
{
"type": "user",
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"attachments": [
{
"fileId": "<string>"
}
],
"targetId": "<string>"
}
],
"commentChildren": [
{
"commentId": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"parentId": "<string>",
"rootId": "<string>",
"referenceId": "<string>",
"dataType": "<string>",
"dataTypes": [],
"data": {},
"metadata": {},
"childrenNumber": 123,
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"isDeleted": false,
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"children": [
"<string>"
],
"segmentNumber": 1,
"mentionees": [
{
"type": "user",
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"attachments": [
{
"fileId": "<string>"
}
],
"targetId": "<string>"
}
],
"communityUsers": [
{
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"channelId": "<string>",
"communityId": "<string>",
"notMemberReason": "<string>",
"isBanned": false,
"lastActivity": "2023-11-07T05:31:56Z",
"roles": [
"<string>"
],
"permissions": [],
"lastJoin": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"roles": [
{
"roleId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"permissions": [
"<string>"
],
"isDeleted": false,
"displayName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
],
"paging": {
"next": "<string>",
"previous": "<string>"
}
}{
"status": "error",
"code": 400400,
"message": "Resource Not Found."
}{
"status": "error",
"code": 400311,
"message": "RateLimit Exceed."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Comment
query comments
query comments (pagination support).
scrollable- ‘after’, ‘first’, ‘before’ and ‘last’ will be set for page size with direction.pagination- ‘skip’ and ‘limit’ will be the number of records to skip and max records size.
(default: scrollable)
GET
/
api
/
v3
/
comments
query comments
Authorizations
Query Parameters
ID of the reference (post, content, or story)
Maximum string length:
900Type of the reference (post, content, or story)
Available options:
post, content, story Whether to filter by parent ID (defaults to true)
ID of the parent comment (when filterByParentId is true)
Maximum string length:
900Filter by flagged comments
Filter by deleted status
Sort order for comments (only for pagination type)
Available options:
lastCreated, firstCreated, lastUpdated, firstUpdated Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I